PasswordPolicy

A password policy describes a set of rules regarding passwords. Authorization is controlled via JWT.

This tag groups all operations for passwordpolicy.

Retrieve all PasswordPolicy

get

This endpoint enables retrieving all PasswordPolicy using pagination and optional filters.

Authorizations
AuthorizationstringRequired

The token can be generated using the Authentication API.

Query parameters
effectivePolicybooleanOptional

When set to true, then the policy that is in effect for the actor's contract (as defined by the JWT) is returned. ATM this has the only effect that if no policy is defined for the user/contract, then the IONOS default policy is returned.

Example: false
Responses
get
/passwordpolicies

Create PasswordPolicy

post

Creates a new PasswordPolicy.

The full PasswordPolicy needs to be provided to create the object. Optional data will be filled with defaults or left empty.

Authorizations
AuthorizationstringRequired

The token can be generated using the Authentication API.

Body
metadataanyOptional

Metadata

Responses
post
/passwordpolicies

Retrieve PasswordPolicy

get

Returns the PasswordPolicy by ID.

Authorizations
AuthorizationstringRequired

The token can be generated using the Authentication API.

Path parameters
passwordPolicyIdstring · uuidRequired

The ID (UUID) of the PasswordPolicy.

Example: 70323699-7c28-58e7-9e0c-ff644f6947a5
Responses
get
/passwordpolicies/{passwordPolicyId}

Ensure PasswordPolicy

put

Ensures that the PasswordPolicy with the provided ID is created or modified. The full PasswordPolicy needs to be provided to ensure (either update or create) the PasswordPolicy. Non present data will only be filled with defaults or left empty, but not take previous values into consideration.

Authorizations
AuthorizationstringRequired

The token can be generated using the Authentication API.

Path parameters
passwordPolicyIdstring · uuidRequired

The ID (UUID) of the PasswordPolicy.

Example: 70323699-7c28-58e7-9e0c-ff644f6947a5
Body
idstring · uuidRequired

The ID (UUID) of the PasswordPolicy.

Example: 70323699-7c28-58e7-9e0c-ff644f6947a5
metadataanyOptional

Metadata

Responses
put
/passwordpolicies/{passwordPolicyId}

Delete PasswordPolicy

delete

Deletes the specified PasswordPolicy.

Authorizations
AuthorizationstringRequired

The token can be generated using the Authentication API.

Path parameters
passwordPolicyIdstring · uuidRequired

The ID (UUID) of the PasswordPolicy.

Example: 70323699-7c28-58e7-9e0c-ff644f6947a5
Responses
chevron-right
202

Deleting PasswordPolicy was successful.

No content

delete
/passwordpolicies/{passwordPolicyId}

No content

Last updated

Was this helpful?